<?php

require_once "setup.php";
$base = parse_url($repo->getURIPrefix());
$basepath = $base["path"];

?>
<!DOCTYPE HTML>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />

    
    <title>SALAMI RDF Dataset and SPARQL Endpoint: <?php echo htmlspecialchars($repo->getName()); ?></title>
  </head>

  <body>
    <div id="container">

      <div id="header">
	<h1>The SALAMI RDF Datset and SPARQL Endpoint</h1>
      </div>

      <div id="navigation">
	<ul>	  
	  <li class="selected"><a href="#">Home</a></li>
	  <li><a href="sparql.php">SPARQL</a></li>
	  <li><a href="contact.php">Contact</a></li>
	</ul>
      </div>

      <div id="content-container">

	<div id="content">


<!--
		<h1><?php echo htmlspecialchars($repo->getName()); ?></h1>
-->



		<p>
		  Welcome to the RDF Endpoint to the 
		  <a href="http://ddmal.music.mcgill.ca/salami">SALAMI</a>
		  (Structural Analysis of Large Amounts of Music Information) 
		  project&mdash;the culmination of collaborative work in music content analaysis 
		  between the universities of Illinois, McGill, Oxford and Queen Mary.

		</p>


		<p>The overarching goal of the project is &quot;to
                   provide a substantive corpus of musical analyses in
                   a common framework for use by music scholars,
                   students and beyond.&quot; Put more practically, by
                   harnessing semanic web technologies (in particular
		   linked data), large scale
                   computing infrastructures, and content analysis
                   algorithms drawn from the Music Information
                   Retrieval community, our aim is to provide a rich and
                   flexible environment that others find useful 
		    for musicological analysis and
                   discovery.
		</p>


		<p>
		  <a href="images/trouble-blues_buddy-guy_annotator1_cropped.png">
		    <img src="images/trouble-blues_buddy-guy_annotator1_cropped_scaled.png" />
		  </a>
		</p>

		
		<p>
                   The above figure shows the musical structures
		    to <i>Trouble Blues</i> by Buddy Guy.  It was
		    time-consumingly ... painstakingly crafted by a
		    music scholar.  Such work enbales fine-grained
		    analysis and reasoning about selected musical
		    content in isolation, but the resources needed to
		    undertake this across the vast array of music that
		    exists in our world is simply not viable.
		</p>


		<p>
		  To this end we have developed this RDF endpoint
		  as a gateway to the assembled music content and the
		  automated analysis computed we have so far.
		  Through this page you can access RDF data to a corpus of X million songs.
		  The RDF data is available in both static form, and dynamically through
		  a SPARQL endpoint.
		</p>

		<h2>How to interat with the data</h2>

		<p>There are two key ways to access the data: through
		    our <a href="sparql.php">interactive web
		    interface</a>; or else connect directly to our
		    enpoint: 
		    <a href="<?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?>">
		      <?php echo htmlspecialchars($repo->getSparqlEndpoint());?></a>.
		</p>

<!--
		<p>Requests are of the form
		<code><?php echo htmlspecialchars($basepath); ?><em>audiofile-id</em></code>
		where <em>audiofile-id</em> is the 32-digit hexidecimal identifier of 
		the audiofile.</p>

		<p>The <code>Accept</code> header you send is taken into account. 
		Various types of RDF are available, plus an HTML representation and 
		potentially the audio data (use <code>audio/*</code> to accept any 
		format of audio).</p>
		<?php if ($repo->getSparqlEndpoint()) { ?>
			<p>A Sparql endpoint is available at
			<code><?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?></code>.</p>
		<?php } ?>
-->


	</div>

      <div id="footer" style="border-top: 8px groove #7ECDF3;">
	<table cellpadding="0px" cellspacing="0px" width="100%">
	  <tbody>
	    <tr style="background: white;">
	      <td align="center">
		<a href="http://www.sshrc-crsh.gc.ca/Default.aspx">
		  <img width="400px" src="images/sshrc_logo.jpeg">
	      </a>
	      </td>
	      <td align="center">
		<a href="http://www.nsf.gov/index.jsp">
		  <img width="100px" src="images/nsf_logo.jpeg">
		</a>
	      </td>
	      <td align="center">
		<a href="http://www.jisc.ac.uk/">
		  <img height="100px" src="images//jisc_logo.jpeg">
	        </a>
	      </td>
	    </tr>
	  </tbody>
	</table>

      </div>

      </div>

  </body>
</html>
